Loading...
Searching...
No Matches
gx_engine::ModuleSequencer Class Reference

`#include <gx_modulesequencer.h>`

Inheritance diagram for gx_engine::ModuleSequencer:

## Public Types

enum | StateFlag { SF_NO_CONNECTION = 0x01 , SF_JACK_RECONFIG = 0x02 , SF_INITIALIZING = 0x04 , SF_OVERLOAD = 0x08 }
Public Types inherited from gx_engine::EngineControl
enum | OverloadType { ov_User = 0x1 , ov_Convolver = 0x2 , ov_XRun = 0x4 , ov_NoWarn = 0x8 }

## Public Member Functions

| ModuleSequencer ()
| ~ModuleSequencer ()
void | clear_module_states ()
virtual void | set_samplerate (unsigned int samplerate)
virtual void | start_ramp_up ()
virtual void | start_ramp_down ()
virtual void | wait_ramp_down_finished ()
void | ramp_down ()
void | set_down_dead ()
bool | prepare_module_lists ()
void | commit_module_lists ()
virtual void | set_rack_changed ()
virtual bool | update_module_lists ()
bool | check_module_lists ()
virtual void | overload (OverloadType tp, const char *reason)
void | set_stateflag (StateFlag flag)
void | clear_stateflag (StateFlag flag)
void | set_state (GxEngineState state)
GxEngineState | get_state ()
sigc::signal< void, GxEngineState > & | signal_state_change ()
void | print_engine_state ()
Public Member Functions inherited from gx_engine::EngineControl
| EngineControl ()
| ~EngineControl ()
void | init (unsigned int samplerate, unsigned int buffersize, int policy, int priority)
void | set_samplerate (unsigned int samplerate_)
unsigned int | get_samplerate ()
void | set_buffersize (unsigned int buffersize_)
unsigned int | get_buffersize ()
void | clear_rack_changed ()
bool | get_rack_changed ()
sigc::signal< void, unsigned int > & | signal_buffersize_change ()
sigc::signal< void, unsigned int > & | signal_samplerate_change ()
void | add_selector (ModuleSelector &sel)
void | registerParameter (ParameterGroups &groups)
void | get_sched_priority (int &policy, int &priority, int prio_dim=0)
ParamMap & | get_param ()

## Static Public Member Functions

static void | set_overload_interval (int i)

## Public Attributes

MonoModuleChain | mono_chain
StereoModuleChain | stereo_chain
Public Attributes inherited from gx_engine::EngineControl
ParallelThread | pro
PluginList | pluginlist

## Protected Member Functions

void | check_overload ()

## Protected Attributes

int | audio_mode
boost::mutex | stateflags_mutex
int | stateflags
sigc::signal< void, GxEngineState > | state_change
Glib::Dispatcher | overload_detected
const char * | overload_reason
int | ov_disabled
Protected Attributes inherited from gx_engine::EngineControl
list< ModuleSelector * > | selectors
sigc::connection | rack_changed
ParamMap | pmap
int | policy
int | priority
sigc::signal< void, unsigned int > | buffersize_change
sigc::signal< void, unsigned int > | samplerate_change
unsigned int | buffersize
unsigned int | samplerate

## Static Protected Attributes

static int | sporadic_interval

## Detailed Description

Definition at line 308 of file gx_modulesequencer.h.

## Member Enumeration Documentation

## StateFlag

enum gx_engine::ModuleSequencer::StateFlag

Enumerator
SF_NO_CONNECTION |
SF_JACK_RECONFIG |
SF_INITIALIZING |
SF_OVERLOAD |

Definition at line 327 of file gx_modulesequencer.h.

## Constructor & Destructor Documentation

## ModuleSequencer()

gx_engine::ModuleSequencer::ModuleSequencer | ( |  | ) |

## ~ModuleSequencer()

gx_engine::ModuleSequencer::~ModuleSequencer | ( |  | ) |

## Member Function Documentation

## check_module_lists()

bool gx_engine::ModuleSequencer::check_module_lists | ( |  | ) |

## check_overload()

void gx_engine::ModuleSequencer::check_overload | ( |  | ) |

protected

## clear_module_states()

void gx_engine::ModuleSequencer::clear_module_states | ( |  | ) |

inline

Definition at line 336 of file gx_modulesequencer.h.

## clear_stateflag()

void gx_engine::ModuleSequencer::clear_stateflag | ( | StateFlag | flag | ) |

## commit_module_lists()

void gx_engine::ModuleSequencer::commit_module_lists | ( |  | ) |

## get_state()

GxEngineState gx_engine::ModuleSequencer::get_state | ( |  | ) |

## overload()

virtual void gx_engine::ModuleSequencer::overload | ( | OverloadType | tp,
|  | const char * | reason )

virtual

Implements gx_engine::EngineControl.

## prepare_module_lists()

bool gx_engine::ModuleSequencer::prepare_module_lists | ( |  | ) |

## print_engine_state()

void gx_engine::ModuleSequencer::print_engine_state | ( |  | ) |

## ramp_down()

void gx_engine::ModuleSequencer::ramp_down | ( |  | ) |

inline

Definition at line 344 of file gx_modulesequencer.h.

## set_down_dead()

void gx_engine::ModuleSequencer::set_down_dead | ( |  | ) |

inline

Definition at line 348 of file gx_modulesequencer.h.

## set_overload_interval()

void gx_engine::ModuleSequencer::set_overload_interval | ( | int | i | ) |

inline static

Definition at line 363 of file gx_modulesequencer.h.

## set_rack_changed()

virtual void gx_engine::ModuleSequencer::set_rack_changed | ( |  | ) |

virtual

Implements gx_engine::EngineControl.

## set_samplerate()

virtual void gx_engine::ModuleSequencer::set_samplerate | ( | unsigned int | samplerate | ) |

virtual

## set_state()

void gx_engine::ModuleSequencer::set_state | ( | GxEngineState | state | ) |

## set_stateflag()

void gx_engine::ModuleSequencer::set_stateflag | ( | StateFlag | flag | ) |

## signal_state_change()

sigc::signal< void, GxEngineState > & gx_engine::ModuleSequencer::signal_state_change | ( |  | ) |

inline

Definition at line 362 of file gx_modulesequencer.h.

## start_ramp_down()

virtual void gx_engine::ModuleSequencer::start_ramp_down | ( |  | ) |

virtual

Implements gx_engine::EngineControl.

Referenced by ramp_down().

## start_ramp_up()

virtual void gx_engine::ModuleSequencer::start_ramp_up | ( |  | ) |

virtual

Implements gx_engine::EngineControl.

## update_module_lists()

virtual bool gx_engine::ModuleSequencer::update_module_lists | ( |  | ) |

virtual

Implements gx_engine::EngineControl.

## wait_ramp_down_finished()

virtual void gx_engine::ModuleSequencer::wait_ramp_down_finished | ( |  | ) |

virtual

Implements gx_engine::EngineControl.

Referenced by ramp_down().

## Member Data Documentation

## audio_mode

int gx_engine::ModuleSequencer::audio_mode

protected

Definition at line 310 of file gx_modulesequencer.h.

## mono_chain

MonoModuleChain gx_engine::ModuleSequencer::mono_chain

Definition at line 325 of file gx_modulesequencer.h.

Referenced by clear_module_states(), and set_down_dead().

## ov_disabled

int gx_engine::ModuleSequencer::ov_disabled

protected

Definition at line 316 of file gx_modulesequencer.h.

## overload_detected

Glib::Dispatcher gx_engine::ModuleSequencer::overload_detected

protected

Definition at line 314 of file gx_modulesequencer.h.

## overload_reason

const char* gx_engine::ModuleSequencer::overload_reason

protected

Definition at line 315 of file gx_modulesequencer.h.

## sporadic_interval

int gx_engine::ModuleSequencer::sporadic_interval

static protected

Definition at line 317 of file gx_modulesequencer.h.

Referenced by set_overload_interval().

## state_change

sigc::signal<void, GxEngineState> gx_engine::ModuleSequencer::state_change

protected

Definition at line 313 of file gx_modulesequencer.h.

Referenced by signal_state_change().

## stateflags

int gx_engine::ModuleSequencer::stateflags

protected

Definition at line 312 of file gx_modulesequencer.h.

## stateflags_mutex

boost::mutex gx_engine::ModuleSequencer::stateflags_mutex

protected

Definition at line 311 of file gx_modulesequencer.h.

## stereo_chain

StereoModuleChain gx_engine::ModuleSequencer::stereo_chain

Definition at line 326 of file gx_modulesequencer.h.

Referenced by clear_module_states(), and set_down_dead().

The documentation for this class was generated from the following file:

- src/headers/gx_modulesequencer.h